Debian Bug report logs - #641986
ITP: cmdliner -- command line interface handler

version graph

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Mehdi Dogguy <mehdi@debian.org>

Date: Sun, 18 Sep 2011 11:46:32 UTC

Owned by: Mehdi Dogguy <mehdi@debian.org>

Severity: wishlist

Fixed in version cmdliner/0.9.3-1

Done: Mehdi Dogguy <mehdi@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, debian-ocaml-maint@lists.debian.org, wnpp@debian.org:
Bug#641986; Package wnpp. (Sun, 18 Sep 2011 11:46:35 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mehdi Dogguy <mehdi@debian.org>:
New Bug report received and forwarded. Copy sent to debian-ocaml-maint@lists.debian.org, wnpp@debian.org. (Sun, 18 Sep 2011 11:46:39 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Mehdi Dogguy <mehdi@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: RFP: cmdliner -- command line interface handler
Date: Sun, 18 Sep 2011 13:36:39 +0200
Package: wnpp
Severity: wishlist

* Package name    : cmdliner
  Version         : 0.9.0
  Upstream Author : Daniel Bunzli
* URL             : http://erratique.ch/software/cmdliner
* License         : BSD-3
  Programming Lang: OCaml
  Description     : command line interface handler

Cmdliner is an OCaml module for the declarative definition of command
line interfaces.

It provides a simple and compositional mechanism to convert command
line arguments to OCaml values and pass them to your functions. The
module automatically handles syntax errors, help messages and UNIX man
page generation. It supports programs with single or multiple commands
(like darcs or git) and respects most of the POSIX and GNU
conventions.

Cmdliner is made of a single independent module and distributed under
the BSD3 license.

-- 
Mehdi




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#641986; Package wnpp. (Sun, 06 Jan 2013 11:12:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mehdi Dogguy <mehdi@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Sun, 06 Jan 2013 11:12:04 GMT) Full text and rfc822 format available.

Message #10 received at 641986@bugs.debian.org (full text, mbox):

From: Mehdi Dogguy <mehdi@debian.org>
To: <641986@bugs.debian.org>, <debian-ocaml-maint@lists.debian.org>
Subject: Re: Bug#641986: RFP: cmdliner -- command line interface handler
Date: Sun, 06 Jan 2013 12:08:31 +0100
retitle 641986 ITP: cmdliner -- command line interface handler
thanks

Le 2011-09-18 13:36, Mehdi Dogguy a écrit :
> Package: wnpp
> Severity: wishlist
>
> * Package name    : cmdliner
>   Version         : 0.9.0
>   Upstream Author : Daniel Bunzli
> * URL             : http://erratique.ch/software/cmdliner
> * License         : BSD-3
>   Programming Lang: OCaml
>   Description     : command line interface handler
>
> Cmdliner is an OCaml module for the declarative definition of command
> line interfaces.
>

I'm working on it and will upload 0.9.3 to NEW shortly.

-- 
Mehdi



Changed Bug title to 'ITP: cmdliner -- command line interface handler' from 'RFP: cmdliner -- command line interface handler' Request was from Mehdi Dogguy <mehdi@debian.org> to control@bugs.debian.org. (Sun, 06 Jan 2013 11:12:07 GMT) Full text and rfc822 format available.

Added tag(s) pending. Request was from Anibal Monsalve Salazar <anibal@debian.org> to control@bugs.debian.org. (Sun, 06 Jan 2013 16:27:05 GMT) Full text and rfc822 format available.

Owner recorded as Mehdi Dogguy <mehdi@debian.org>. Request was from Simó Albert i Beltran <sim6@probeta.net> to control@bugs.debian.org. (Sun, 06 Jan 2013 22:00:13 GMT) Full text and rfc822 format available.

Reply sent to Mehdi Dogguy <mehdi@debian.org>:
You have taken responsibility. (Sun, 20 Jan 2013 13:03:17 GMT) Full text and rfc822 format available.

Notification sent to Mehdi Dogguy <mehdi@debian.org>:
Bug acknowledged by developer. (Sun, 20 Jan 2013 13:03:17 GMT) Full text and rfc822 format available.

Message #21 received at 641986-close@bugs.debian.org (full text, mbox):

From: Mehdi Dogguy <mehdi@debian.org>
To: 641986-close@bugs.debian.org
Subject: Bug#641986: fixed in cmdliner 0.9.3-1
Date: Sun, 20 Jan 2013 13:00:07 +0000
Source: cmdliner
Source-Version: 0.9.3-1

We believe that the bug you reported is fixed in the latest version of
cmdliner, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 641986@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Mehdi Dogguy <mehdi@debian.org> (supplier of updated cmdliner package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Sun, 06 Jan 2013 10:50:00 +0200
Source: cmdliner
Binary: libcmdliner-ocaml-dev
Architecture: source amd64
Version: 0.9.3-1
Distribution: unstable
Urgency: low
Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
Changed-By: Mehdi Dogguy <mehdi@debian.org>
Description: 
 libcmdliner-ocaml-dev - declarative definition of command line interfaces
Closes: 641986
Changes: 
 cmdliner (0.9.3-1) unstable; urgency=low
 .
   * Initial upload (Closes: #641986)
Checksums-Sha1: 
 974940730fe23a283b2a3e62b2c7d89fd2cb9b7e 1663 cmdliner_0.9.3-1.dsc
 41ad4c74154b6a211b753bc658b158e5c9ecdc57 75087 cmdliner_0.9.3.orig.tar.bz2
 357399ce5ca4e79f8592c3ce42e7cfefaa6b062b 2538 cmdliner_0.9.3-1.debian.tar.gz
 a01638e97065984b01effd3653bf4bf8cce7f0b6 259292 libcmdliner-ocaml-dev_0.9.3-1_amd64.deb
Checksums-Sha256: 
 d76121c26cf6eef49aa993d30def65811214ee17a772777500a027d3e1ecac92 1663 cmdliner_0.9.3-1.dsc
 ba24a3455d4ea1bbbc96e6371cd18544ad22c86a7be4c989c65363920376e955 75087 cmdliner_0.9.3.orig.tar.bz2
 cc8dae8282dc544ba280b2eb0c9a5a92fae234d58381ae4c3d487c23ce5e0c0a 2538 cmdliner_0.9.3-1.debian.tar.gz
 f25232ac4617db735e297310d4993338bb2a5d15c6bad27a3fc7710486b9355b 259292 libcmdliner-ocaml-dev_0.9.3-1_amd64.deb
Files: 
 235adac5f5793816bd399e84668255fe 1663 devel optional cmdliner_0.9.3-1.dsc
 128993097c15447677c278f36fc62fcd 75087 devel optional cmdliner_0.9.3.orig.tar.bz2
 db78da13bdf8f33931b0d0a5eef1110e 2538 devel optional cmdliner_0.9.3-1.debian.tar.gz
 7c4b17526062dd5b109233f253d23db8 259292 ocaml optional libcmdliner-ocaml-dev_0.9.3-1_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iQEcBAEBAgAGBQJQ6WN5AAoJEDe1GR0FRlJocAEH/0xUyCMej04J7pBR7ZtnSbTu
jy53hpu/G9mwPAvpVt61fj2k8Jd99dhWQPYrilkIrre1wr2A4gnEcRsjKQ0YN0Vg
YPTawHl9xwha9yw/aAkIaoVv6idFyHLsp06YN4PsAlZjWEgQ33DOLhIH+xBNNPGw
a4x17CtUydMhBQpCGsKPxcY43LQdMZWfAqSFzWF4ybpRTS0lbCo3Py25n9xE54qk
+7N05eeZHzgg82ix3D3aaci/2FZTUaTAcIEu17haxt/SZRzhP9+S6E95yBvDSeBv
2Fu5RxbnpPlCtKlRDK+s9lgfAJrOabpfr22PpzfiAMyRICtHflw9vCSt/P+p/pA=
=exoc
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 18 Feb 2013 07:27:23 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 22:08:25 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.